# NOTICE:
#
# Application name defined in TARGET has a corresponding QML filename.
# If name defined in TARGET is changed, the following needs to be done
# to match new name:
#   - corresponding QML filename must be changed
#   - desktop icon filename must be changed
#   - desktop filename must be changed
#   - icon definition filename in desktop file must be changed
#   - translation filenames have to be changed

# The name of your application
TARGET = harbour-allradio2

CONFIG += sailfishapp

DEFINES += APP_VERSION=\"\\\"$${VERSION}\\\"\"

SOURCES += src/harbour-allradio2.cpp

DISTFILES += qml/harbour-allradio2.qml \
    qml/cover/CoverPage.qml \
    qml/pages/SecondPage.qml \
    rpm/harbour-allradio2.changes.in \
    rpm/harbour-allradio2.changes.run.in \
    rpm/harbour-allradio2.spec \
    translations/*.ts \
    harbour-allradio2.desktop

SAILFISHAPP_ICONS = 86x86 108x108 128x128 172x172

# to disable building translations every time, comment out the
# following CONFIG line
CONFIG += sailfishapp_i18n

# German translation is enabled as an example. If you aren't
# planning to localize your app, remember to comment out the
# following TRANSLATIONS line. And also do not forget to
# modify the localized app name in the the .desktop file.
TRANSLATIONS += translations/harbour-allradio-de.ts
TRANSLATIONS += translations/harbour-allradio-sv.ts
TRANSLATIONS += translations/harbour-allradio-da.ts
TRANSLATIONS += translations/harbour-allradio-en.ts
TRANSLATIONS += translations/harbour-allradio-es.ts
TRANSLATIONS += translations/harbour-allradio-fi.ts
TRANSLATIONS += translations/harbour-allradio-fr.ts
TRANSLATIONS += translations/harbour-allradio-it.ts
TRANSLATIONS += translations/harbour-allradio-pl.ts
TRANSLATIONS += translations/harbour-allradio-ru.ts
TRANSLATIONS += translations/harbour-allradio-uk.ts
